KZIP(8)

NAME
kzip - compresses kernels

SYNOPSIS
kzip [-v] [-l loadaddr]

DESCRIPTION
This program compresses a kernel using gzip(1) to reduce its disk storage requirements. It does not reduce the memory footprint once loaded into memory. You lose all the symbols, so usability is limited. Its main usage is making kernels for install and fixit floppies, etc.

The following options are available:

-v  Verbose mode, reports how much memory is being used by the kernel after compression. Also allows you to check to make sure your kernel is not going past the 4MB boundary.

-l loadaddr
    Specify the address to load the kernel into memory at.

DIAGNOSTICS
The kzip utility returns with exit code 1 if given invalid arguments. Exit code two means kzip was unable to read or process the kernel file.

SEE ALSO
gzip(1)

HISTORY
The kzip command appeared in FreeBSD 2.0.5. Obtained from Linux via 386BSD -- based on tools/build.c by Linus Torvalds, and ported to 386BSD by Serge Vakulenko.

AUTHORS
This man page was written by David E. O'Brien.